Web lists-archives.com

js/mingw-wants-vista-or-above, was Re: What's cooking in git.git (Oct 2018, #01; Wed, 10)




Hi Junio,

On Wed, 10 Oct 2018, Junio C Hamano wrote:

> * js/mingw-wants-vista-or-above (2018-10-04) 3 commits
>  - mingw: bump the minimum Windows version to Vista
>  - mingw: set _WIN32_WINNT explicitly for Git for Windows
>  - compat/poll: prepare for targeting Windows Vista
> 
>  The minimum version of Windows supported by Windows port fo Git is
>  now set to Vista.
> 
>  Will merge to 'next'.

Could I ask you to fast-track this to `master`? The code in `master`
unfortunately no longer compiles in a current Git for Windows SDK, meaning
that all of our Continuous Testing fails as long as these patches are not
merged.

I do not see how this could affect non-Windows builds, so everybody else
should be unaffected anyway.

Thanks,
Dscho